<?php
//加载数据引导文件
require('../../common.php');
error_reporting(E_ALL & ~E_NOTICE); //过滤脚本提醒
date_default_timezone_set('PRC'); //时区设置 解决某些机器报错
$codepay_config['id'] = TFYT('codepay_id');
$codepay_config['key'] = TFYT('codepay_key');
$codepay_config['chart'] = strtolower('utf-8');
header('Content-type: text/html; charset=' . $codepay_config['chart']);
//是否启用免挂机模式 1为启用. 未开通请勿更改否则资金无法及时到账
$codepay_config['act'] = TFYT('codepay_act'); //认证版则开启 一般情况都为0
$codepay_config['page'] = 4; //支付页面展示方式
//支付页面风格样式 仅针对$codepay_config['page'] 参数为 1或2 才会有用。
$codepay_config['style'] = 1; //暂时保留的功能 后期会生效 留意官网发布的风格编号
//二维码超时设置  单位：秒
$codepay_config['outTime'] = 360;//360秒=6分钟 最小值60  不建议太长 否则会影响其他人支付
//最低金额限制
$codepay_config['min'] = 0.01;
//启用支付宝官方接口 会员版授权后生效
$codepay_config['pay_type'] = 1;
$codepay_config['user'] = ''; //这是默认的充值用户 因为我们演示的数据库充值 只有该用户名 如正式使用请为空
$codepay_config['userOff'] = false; //这里设置是否显示出来用户输入用户名 除非你知道了如何获取到用户 否则不要更改
define('HTTPS', false);  //是否HTTPS站点 false为HTTP true为HTTPS
//主动判断是否HTTPS
function isHTTPS()
{
    if (defined('HTTPS') && HTTPS) return true;
    if (!isset($_SERVER)) return FALSE;
    if (!isset($_SERVER['HTTPS'])) return FALSE;
    if ($_SERVER['HTTPS'] === 1) {  //Apache
        return TRUE;
    } elseif ($_SERVER['HTTPS'] === 'on') { //IIS
        return TRUE;
    } elseif ($_SERVER['SERVER_PORT'] == 443) { //其他
        return TRUE;
    }
    return FALSE;
}
$codepay_config['gateway'] = "http://api2.xiuxiu888.com/creat_order/?";  //设置支付网关
$codepay_config['host'] = (isHTTPS() ? 'https://' : 'http://') . $_SERVER['HTTP_HOST']; //获取域名
$codepay_config['path'] = $codepay_config['host'] . dirname($_SERVER['REQUEST_URI']); //API安装路径 最终为http://域名/codepay
$codepay_config['return_url'] = $codepay_config['path'] . '/notify.php'; //自动生成跳转地址
//设置默认通知页面 3秒后跳转到首页
$codepay_config['go_time'] = 3; //3秒跳转页面 默认为首页
$codepay_config['go_url'] =  $_SERVER["SERVER_PORT"] == '80' ? '/' : '//'.$_SERVER['SERVER_NAME'];
$codepay_config['notify_url'] = $codepay_config['path'] . '/notify.php'; //自动生成通知地址 优先级最高不传入则为系统设置里设置